import java.util.*;
public class MusicDownloads
{

    /** The list of downloaded information.
     * Guaranteed not to be null and not to contain duplicate titles. */
    private List<DownloadInfo> downloadList;

    /** Creates the list of downloaded information. */
    public MusicDownloads()
    { downloadList = new ArrayList<DownloadInfo>(); }

    /** Returns a reference to the DownloadInfo object with the requested title if it exists.
     * @param title the requested title
     * @return a reference to the DownloadInfo object with the
     *      title that matches the parameter title if it exists in the list;
     *      null otherwise. Postcondition:
     * Postcondition:
     * - no changes were made to downloadList.
     */ 
    public DownloadInfo getDownloadInfo(String title)
    { /* to be implemented in part (a) */ }


    /** Adds one song to the download list.
     * Used for testing.
     */ 
    public void addSong(String title){
        downloadList.add(new DownloadInfo(title));
    }
    // There may be instance variables, constructors, and methods that are not shown. 

}